# vies

#### VatValidationDto

| Attribute         | Type               | Description                                       |
| ----------------- | ------------------ | ------------------------------------------------- |
| isValid           | Boolean            | Indicates if the VAT number is valid.             |
| userError         | String             | Error message in case of incorrect VAT number.    |
| name              | String             | Name of the company.                              |
| address           | String             | Address of the company.                           |
| requestIdentifier | String             | Unique identifier for the request.                |
| originalVatNumber | String             | Original VAT number provided in the request.      |
| vatNumber         | String             | Processed VAT number.                             |
| requestDate       | String             | Date of the request.                              |
| viesApproximate   | ViesApproximateDto | Nested object containing approximate VAT details. |

#### ViesApproximateDto

| Attribute        | Type   | Description                             |
| ---------------- | ------ | --------------------------------------- |
| name             | String | Approximate name of the company.        |
| street           | String | Approximate street of the company.      |
| postalCode       | String | Approximate postal code of the company. |
| city             | String | Approximate city of the company.        |
| companyType      | String | Approximate type of the company.        |
| matchName        | String | Matched name of the company.            |
| matchStreet      | String | Matched street of the company.          |
| matchPostalCode  | String | Matched postal code of the company.     |
| matchCity        | String | Matched city of the company.            |
| matchCompanyType | String | Matched type of the company.            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/vies-vat-validation/vies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
